#### detached_t::executor_with_default::default_completion_token_type

Specify `detached_t` as the default completion token type.

    typedef detached_t default_completion_token_type;

###### Types

Name | Description
--- | ---
executor_with_default | Adapts an executor to add the detached_t completion token as the default.

###### Member Functions

Name | Description
--- | ---
as_default_on [static] | Function helper to adapt an I/O object to use detached_t as its default completion token type.
detached_t [constructor] | Constructor.

The `detached_t` class is used to indicate that an asynchronous operation is detached. That is, there is no completion handler waiting for the operation's result. A `detached_t` object may be passed as a handler to an asynchronous operation, typically using the special value `asio::detached`. For example:

    my_socket.async_send(my_buffer, asio::detached);

###### Requirements

Header: `asio/detached.hpp`

Convenience header: `asio.hpp`